Package edu.hws.jcm.draw

# Class TangentLine

java.lang.Object
edu.hws.jcm.draw.Drawable
edu.hws.jcm.draw.DrawGeometric
edu.hws.jcm.draw.TangentLine

All Implemented Interfaces:
  `Computable`, `Serializable`

public class TangentLine extends DrawGeometric
A Tangent line is a line that is tangent to the graph of a specified function of one argument at a specified value of its argument. If added to a CoordinateRect, it will appear as a line. A TangentLine is a Computable object, so should be added to a Controller to be recomputed when the Value or Function changes.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class edu.hws.jcm.draw.DrawGeometric

`a, b, c, color, CROSS, d, fillColor, h, INFINITE_LINE_ABSOLUTE, INFINITE_LINE_RELATIVE, LINE_ABSOLUTE, LINE_CENTERED, LINE_RELATIVE, lineWidth, OVAL_ABSOLUTE, OVAL_CENTERED, OVAL_RELATIVE, RECT_ABSOLUTE, RECT_CENTERED, RECT_RELATIVE, shape, v, x1, x2, y1, y2`

### Fields inherited from class edu.hws.jcm.draw.Drawable

`canvas, coords`

## Constructor Summary

Constructors
Constructor
Description
`TangentLine(Value x, Function f)`
Create a tangent line to the graph of a function.

## Method Summary

### Methods inherited from class edu.hws.jcm.draw.DrawGeometric

`compute, draw, getColor, getFillColor, getH, getLineWidth, getV, getX1, getX2, getY1, getY2, setColor, setFillColor, setH, setLineWidth, setPoints, setPoints, setShape, setV, setX1, setX2, setY1, setY2`

### Methods inherited from class edu.hws.jcm.draw.Drawable

`getVisible, needsRedraw, setOwnerData, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TangentLine

public TangentLine(Value x, Function f)
Create a tangent line to the graph of a function.

Parameters:
  `x` - The x-coordinate where the tangent is drawn.
  `f` - The line is tangent to the graph of this function. This should be a function of one variable.